Перейти к содержанию
Chistota

Переход с IPB 3.4.6 Null на IPB 4.0

Рекомендуемые сообщения

Версия форумов, версии php, кодировка БД

Проверяйте правильность залитых файлов

Столько "воды" написали 

Прошлись конвертером, все UTF-8 омг, ничего что в IPB 3.4. кодировка БД utf8_general_ci а кодировка IPS 4.х.х utf8_unicode_ci

И какой utf8 вы имели ввиду?

и как понимать ваши сообщения?

Вообщем разбирайтесь 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

В смысле прошелся конвертером встроенным в дистриб. так что все в   utf8_unicode_c.

Баг нашел и исправил. Оказывается, если в БД будут еще лежать таблицы с именами core_members, то дистриб при обновлении туда лезет пользователей смотреть.  А оно осталось от одной из страх инсталляций.  После зачистки левых таблиц все прошло удачно.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

А если я хочу переехать с 3.4.6 кодировкой UTF-8 на 4.2.x с кодировкой UTF8mb4,  можно так сделать?

 

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
2 часа назад, bsnet сказал:

А если я хочу переехать с 3.4.6 кодировкой UTF-8 на 4.2.x с кодировкой UTF8mb4,  можно так сделать?

 

 

IPS сам конвертирует то что надо 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
В 02.05.2017 в 16:01, WOLF сказал:

IPS сам конвертирует то что надо

Так может или нет,  или IPS это не надо?

Ответ какой-то странный

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

капец у вас дискуссия поднялась по вопросу база в UTF-8 или нет. Зачем гадать или путать людей.

Тупо качаете файл utf8convert.zip, и ваше обновление IPS 4..xx версию обновления.

utf8convert - Запускаете  и он сам вам скажет сколько таблиц нужно или не нужно конвертировать или уже все готово. У всех все по разному бывает. Может у вопрошающего уже по магии установлено в utf))) если что - файл конвертирования прикрепил к сообщению

а далее ...

  1. Покупаете лицензию IPS Community Suite
  2. Проверяете возможность установки версии 4.0 с помощью специального скрипта community.invisionpower.com/files/file/7046-get-ready-for-ips-40
  3. Конвертируете базу в UTF-8 специальным скриптом community.invisionpower.com/files/file/6823-ips-utf8-database-converter
  4. Заливаете файлы версии 4.0 поверх файлов 3.4.6
  5. Переходите в /admin/upgrade
  6. Обновляетесь приложения с 3.4.6 до 4.0.2, активируя лицензию вашим лицензионным ключом
  7. После обновления проверяете настройка, права доступа и так далее
  8. Профит!

 

utf8convert.zip

второй скрипт проверки обновляемости с 3.4 на 4. - тоже в сообщении.

ips4.zip

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
17 минут назад, sergey81 сказал:

Покупаете лицензию IPS Community Suite

побежал покупать

17 минут назад, sergey81 сказал:

Проверяете возможность установки версии 4.0 с помощью специального скрипта community.invisionpower.com/files/file/7046-get-ready-for-ips-40

щас бы 4.0 ставить когда на дворе 4.2 подходит. и в самом движке есть функция проверки

18 минут назад, sergey81 сказал:

Конвертируете базу в UTF-8 специальным скриптом community.invisionpower.com/files/file/6823-ips-utf8-database-converter

еще конвертор качать, когда он так же есть в движке

18 минут назад, sergey81 сказал:

Обновляетесь приложения с 3.4.6 до 4.0.2

точно до 4.0.2 ?

19 минут назад, sergey81 сказал:

Профит!

ага, агонь ваще, спс

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
В 29.04.2017 в 04:35, polym0rph сказал:

Странная история, после захода на /admin/upgrade требуется ввести логин пароль админа.  И он не подходит.

Логин с паролем 100% верные, но на всякий случай пробовал другим админом зайти, та же история.  Смотрю в базу - логин и хэш те же, ничего не менялось.

До того как заливать дистрибутив по базе прошелся конвертеров, все в UTF8, логинился на форум без проблем. 

Куда копать?

Подскажите!У меня такая же проблема... Пытался обновиться с IP.Board 3.4.9 на IPS 4.0.13.1

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
4 часа назад, serega26rus сказал:

Подскажите!У меня такая же проблема... Пытался обновиться с IP.Board 3.4.9 на IPS 4.0.13.1

Зачем обновляться на 4.0 когда можно сразу на последнюю версию? 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
4 часа назад, WOLF сказал:

Зачем обновляться на 4.0 когда можно сразу на последнюю версию? 

я все версии уже проверил,все время пишет не верный пароль ,может есть вариант просто перенести базу на новую чистую версию?В инете подробного ничего не нашел

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
44 минуты назад, serega26rus сказал:

я все версии уже проверил,все время пишет не верный пароль ,может есть вариант просто перенести базу на новую чистую версию?В инете подробного ничего не нашел

Попробуй зарегать пользователя нового и выдать ему тоже права админа и через него попробовать обновить 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
7 часов назад, WOLF сказал:

Попробуй зарегать пользователя нового и выдать ему тоже права админа и через него попробовать обновить 

Не получается ,так как после заливки с заменой админка уже не работает

Пишет таблица не найдена

 2018-04-09_20-11-43.png.6fe5b31a173ce5fd924c1ce22e66b017.png

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
Только что, WOLF сказал:

после какой заливки? что вы там делаете? 

У меня форум  IP.Board 3.4.9, заливаю как было сказано выше новую версию IPS 4 по верх  IP.Board 3.4.9 и перехожу в /admin/upgrade

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
11 часов назад, serega26rus сказал:

я все версии уже проверил,все время пишет не верный пароль

а когда тогда пишет не верный пароль? вообщем бред несете

нужно поставить 3.4.9 создать там нового пользователя с админкой, потом произвести обновление, что сложного, не пойму. каждый раз какие-то новые факты у вас появляются. 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
4 минуты назад, WOLF сказал:

а когда тогда пишет не верный пароль? вообщем бред несете

нужно поставить 3.4.9 создать там нового пользователя с админкой, потом произвести обновление, что сложного, не пойму. каждый раз какие-то новые факты у вас появляются. 

у меня стоит уже 3.4.9 ,после того как заливаю релиз IPS форум перестает работать , но при переходе в /admin/upgrade открывается меню обновления ,я может не те файлы заливаю или не туда ,подробно нигде не нашел инструкции ,не пойму что я делаю не так

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
9 часов назад, serega26rus сказал:

у меня стоит уже 3.4.9 ,после того как заливаю релиз IPS форум перестает работать , но при переходе в /admin/upgrade открывается меню обновления ,я может не те файлы заливаю или не туда ,подробно нигде не нашел инструкции ,не пойму что я делаю не так

Ну и правильно дальше при переходе на admin/update нужно следовать инструкции установки обновления

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
4 часа назад, Artemka сказал:

Ну и правильно дальше при переходе на admin/update нужно следовать инструкции установки обновления

все бы ничего но логин пароль не подходят и создать нового пользователя не могу вот и вся проблема

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
10 минут назад, serega26rus сказал:

логин пароль не подходят

Возможно, данные были написаны кириллическими символами, что привело к их неправильному хранению при перекодировке.

Назначить админами другую группу пользователей в conf_global.php и проверить логин и пароль (которые вы знаете) для другого пользователя.

Либо попробовать переконвертировать базу данных перед установкой в UTF-8 конвертатором, чтобы данные в таблицах и сами таблицы были в UTF-8. И произвести апгрейд заново.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
В 09.04.2018 в 02:39, serega26rus сказал:

Подскажите!У меня такая же проблема... Пытался обновиться с IP.Board 3.4.9 на IPS 4.0.13.1

Так ниже же есть по моему случаю:

В 02.05.2017 в 02:39, polym0rph сказал:

Баг нашел и исправил. Оказывается, если в БД будут еще лежать таблицы с именами core_members, то дистриб при обновлении туда лезет пользователей смотреть.  А оно осталось от одной из страх инсталляций.  После зачистки левых таблиц все прошло удачно.

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Для публикации сообщений создайте учётную запись или авторизуйтесь

Вы должны быть пользователем, чтобы оставить комментарий

Создать учетную запись

Зарегистрируйте новую учётную запись в нашем сообществе. Это очень просто!

Регистрация нового пользователя

Войти

Уже есть аккаунт? Войти в систему.

Войти


  • Последние посетители   0 пользователей онлайн

    Ни одного зарегистрированного пользователя не просматривает данную страницу

×